# $Revision: 1.55 $, $Date: 2008/07/27 22:25:48 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library for reading/writing GNUstep-style defaults databases
Summary(pl.UTF-8):	Biblioteka do odczytu i zapisu bazy danych ustawień w stylu GNUstepa
Summary(ru.UTF-8):	Библиотека для чтения/записи баз умолчаний в стиле GNUstep
Summary(uk.UTF-8):	Бібліотека для читання/запису баз умовчань в стилі GNUstep
Name:		libPropList
Version:	0.10.1
Release:	14
License:	GPL
Group:		X11/Libraries
Source0:	ftp://ftp.windowmaker.org/pub/libs/%{name}-%{version}.tar.gz
# Source0-md5:	ff32a4edbf9d0861012b2f10fd302ad5
URL:		http://www.windowmaker.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libPropList library, hereafter referred to as PL, uses an opaque
data type to represent a tree structure made of strings, data blocks,
arrays and dictionaries (key-value pair lists). This structure can be
manipulated, written out to and read in from a file, and synchronized
with the contents of a file. The purpose of PL is to closely mimick
the behaviour of the property lists used in GNUstep/OPENSTEP (there
formed with the NSString, NSData, NSArray and NSDictionary classes)
and to be compatible with it. PL enables programs that use
configuration or preference files to make these compatible with
GNUstep/OPENSTEP's user defaults handling mechanism, without needing
to use Objective-C or GNUstep/OPENSTEP themselves.

%description -l es.UTF-8
Biblioteca para acceder a base de datos GNUstep-style.

%description -l pl.UTF-8
Biblioteka libPropList, określana tu jako PL, używa ukrytego typu
danych do reprezentacji struktury drzewiastej stworzonej z łańcuchów,
bloków danych, tablic i słowników (list par klucz-wartość). Struktura
ta może być modyfikowana, zapisywana i wczytywana z pliku oraz
synchronizowana z zawartością pliku. Celem PL jest bliskie naśladowanie 
zachowania list własności używanych w GNUstepie i OPENSTEPie 
(uformowanych w klasy NSString, NSData, NSArray i NSDictionary) 
i kompatybilność z nimi. PL umożliwia programom używającym plików 
z konfiguracją lub ustawieniami być kompatybinymi z mechanizmem obsługi 
ustawień GNUstepa/OPENSTEPa, bez potrzeby używania języka Objective-C 
ani samego GNUstepa/OPENSTEPa.

%description -l pt_BR.UTF-8
Biblioteca para acessar base de dados GNUstep-style.

%description -l ru.UTF-8
Библиотека libPropList, далее PL, использует непрозрачные типы данных
для представления древовидной структуры строк символов, блоков данных,
массивов и словарей (списков пар ключ-значение). Этой структурой можно
манипулировать, записывать в файл и считывать из файла,
синхронизировать с содержанием файла. Цель PL - повторить поведение
списков свойств из GNUstep/OPENSTEP и быть совместимой с ними. PL
позволяет программам, использующим файлы конфигурации или персональных
настроек, делать это совместимо с механизмом обработки умолчаний
пользователей GNUstep/OPENSTEP без необходимости использовать
Objective-C или GNUstep/OPENSTEP.

%description -l uk.UTF-8
Бібліотека libPropList, надалі PL, використовує непрозорі типи даних
для представлення деревовидної структури ланцюжків символів, блоків
даних, масивів та словників (списків пар ключ-значення). Цією
структурою можна маніпулювати, записувати в файл та зчитувати з файлу
та синхронізувати з вмістом файлу. Мета PL - повторити поведінку
списків властивостей з GNUstep/OPENSTEP та бути сумісною з ними. PL
дозволяє програмам, що використовують файли конфігурації чи
персональних налаштувань, робити це сумісно з механізмом обробки
умовчань користувачів GNUstep/OPENSTEP без необхідності
використовувати Objective-C чи GNUstep/OPENSTEP.

%package devel
Summary:	Header files for libPropList library
Summary(es.UTF-8):	Archivos de inclusión para libPropList
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libPropList
Summary(pt_BR.UTF-8):	Arquivos de inclusão para o libPropList
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the headers that programmers will need to
develop applications which will use libPropList.

%description devel -l es.UTF-8
Este paquete contiene los archivos de inclusión que se necesitan
para desarrollar programas que usan libPropList.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe niezbędne do tworzenia aplikacji
korzystających z biblioteki libPropList.

%description devel -l pt_BR.UTF-8
Este pacote contém os arquivos de inclusão que são necessários para
desenvolver programas que usam o libPropList.

%description devel -l ru.UTF-8
Этот пакет содержит .h файлы для разработки программ, использующих
libPropList.

%description devel -l uk.UTF-8
Цей пакет містить .h файли для розробки програм, які використовують
libPropList.

%package static
Summary:	Static libPropList library
Summary(es.UTF-8):	Biblioteca estática para libPropList
Summary(pl.UTF-8):	Biblioteka statyczna libPropList
Summary(pt_BR.UTF-8):	Biblioteca estática para o libPropList
Summary(ru.UTF-8):	Статические библиотеки для libPropLis
Summary(uk.UTF-8):	Статичні бібліотеки для libPropLis
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static version of libPropList library.

%description static -l es.UTF-8
Biblioteca estática para libPropList.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną wersję biblioteki libPropList.

%description static -l pt_BR.UTF-8
Biblioteca estática para o libPropList.

%description static -l ru.UTF-8
Этот пакет содержит статические библиотеки libPropList.

%description static -l uk.UTF-8
Цей пакет містить статичні бібліотеки libPropList.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libPropList.spec,v $
Revision 1.55  2008/07/27 22:25:48  arekm
- release 14

Revision 1.54  2007-07-23 17:29:50  witekfl
- added missing #

Revision 1.53  2007/07/22 08:43:33  witekfl
- added bcond_without static_libs

Revision 1.52  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.51  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.50  2006/08/24 20:36:03  qboosh
- strict internal deps

Revision 1.49  2006/08/23 14:08:13  havner
- rel 13 for TH

Revision 1.48  2004/09/01 11:49:24  snurf
- typos / formatting / etc.

Revision 1.47  2003/12/01 02:01:38  undefine
- release 12 to rebuild with ac

Revision 1.46  2003/10/28 20:38:28  qboosh
- removed bogus descriptions, fixed/tried to fix some others

Revision 1.45  2003/08/28 08:20:32  ankry
- cosmetics

Revision 1.44  2003/07/03 14:05:02  qboosh
- removed default _prefix definition, other cleanups

Revision 1.43  2003/05/28 12:59:26  malekith
- massive attack: source-md5

Revision 1.42  2003/05/25 05:49:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.41  2002/11/25 14:16:50  ankry
- massive attack: no need for 755 for *.la

Revision 1.40  2002/10/09 13:14:36  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.39  2002/08/17 13:26:01  kloczek
- release 11: use new %doc.

Revision 1.38  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.37  2002/05/21 23:13:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.36  2002/04/23 17:18:12  kloczek
- release 10: merge translations from KSI and Conectiva.

Revision 1.35  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.34  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.33  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/01/18 02:13:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.31  2001/08/15 22:46:03  kloczek
- release 9,
- make spec ac 2.5x ready,
- spec adapterized.

Revision 1.30  2001/02/07 23:05:09  kloczek
- adapterized.

Revision 1.29  2001/02/07 22:57:21  misiek
release 8. rebuild with glibc 2.2

Revision 1.28  2000/10/23 21:25:38  kloczek
- release 7: use new rpm automation.

Revision 1.27  2000/07/04 03:21:48  kloczek
- bump release to 3.

Revision 1.26  2000/06/09 07:23:20  kloczek
- added using %%{__make} macro.

Revision 1.25  2000/06/07 03:14:18  kloczek
- spec adapterized.

Revision 1.24  2000/05/04 08:44:32  kloczek
- updated to 0.10.1.

Revision 1.23  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/31 03:40:26  kloczek
- updated to 0.10.0.

Revision 1.21  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.20  2000/03/01 13:11:03  kloczek
- spec adapterized.

Revision 1.19  2000/03/01 11:28:01  wiget
- install in %{_prefix} (this not depend to Xlib and bros.)

Revision 1.18  1999/10/06 21:31:16  kloczek
- updated to 0.9.1,
- new Summary and %description from Rayan Weaver spec file.

Revision 1.17  1999/10/04 17:42:11  kloczek
- updated to 0.9.0,
-added using %%configure macro,
- all %doc moved to devel,
- added lib*.la to devel.

Revision 1.16  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 20 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [0.8.3-5]
- spec written by Artur Frysiak <wiget@usa.net> modified by me an Michał
  Kuratczyk <kura@pld.org.pl>,
- package is FHS 2.0 compliant.
